Page MenuHomePhabricator

[EPIC] Enable augmenting search results with wikidata aliases/descriptions and other data
Closed, ResolvedPublic

Description

We need a mechanism to allow search results, on all platforms (API, desktop, etc.) to use page_props, wikidata aliases/descriptions, page images, etc. Right now some search modes allow it through generators/props mechanism, but this mechanism is available only through query API and not accessible to other search modes.

The mechanism should operate on the level of SearchResultSet/SearchResult API and be extensible via hooks or other configuration.

The mechanism should support batch operations on the full set of search results, to avoid repeated queries in case queries are necessary to obtain augmented data.

See discussion in https://etherpad.wikimedia.org/p/Wikidata_Meeting_Berlin_10262015

Event Timeline

Smalyshev created this task.Nov 2 2015, 9:29 PM
Smalyshev raised the priority of this task from to Needs Triage.
Smalyshev updated the task description. (Show Details)
Smalyshev added projects: Discovery, CirrusSearch.
Smalyshev added subscribers: Smalyshev, daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2015, 9:29 PM
Smalyshev updated the task description. (Show Details)Nov 2 2015, 9:29 PM
Smalyshev set Security to None.
Smalyshev moved this task from Needs triage to Product Epics on the Discovery board.
Smalyshev added a subscriber: Deskana.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 31 2015, 3:45 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptMay 6 2016, 7:47 PM

Although @Smalyshev is actively working on a subtask of this (T117493), I put this in "Later" as it's a big, meaty task that will take quite some time to complete.

Deskana triaged this task as Normal priority.May 12 2016, 10:18 PM
Deskana moved this task from needs triage to later on... on the Discovery-Search board.
Deskana closed this task as Resolved.Dec 8 2016, 6:51 PM
Deskana claimed this task.